Update an account by id
curl --request PUT \
--url https://sbx.api.easybilling.cloud/billing/api/accounts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Abbie2",
"number": "ACC-0000000001",
"addressLine1": "street or PO Box2",
"addressLine2": "Apt, suite, unit, building, floor etc.2",
"country": "US",
"state": "CA",
"city": "Redwood City",
"postalCode": "84002",
"email": "abbie2@gmail.com",
"status": "active",
"source": "aws",
"taxExempt": true
}
'import requests
url = "https://sbx.api.easybilling.cloud/billing/api/accounts/{id}"
payload = {
"name": "Abbie2",
"number": "ACC-0000000001",
"addressLine1": "street or PO Box2",
"addressLine2": "Apt, suite, unit, building, floor etc.2",
"country": "US",
"state": "CA",
"city": "Redwood City",
"postalCode": "84002",
"email": "abbie2@gmail.com",
"status": "active",
"source": "aws",
"taxExempt": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Abbie2',
number: 'ACC-0000000001',
addressLine1: 'street or PO Box2',
addressLine2: 'Apt, suite, unit, building, floor etc.2',
country: 'US',
state: 'CA',
city: 'Redwood City',
postalCode: '84002',
email: 'abbie2@gmail.com',
status: 'active',
source: 'aws',
taxExempt: true
})
};
fetch('https://sbx.api.easybilling.cloud/billing/api/accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "Abbie2",
"number": "ACC-0000000001",
"addressLine1": "street or PO Box2",
"addressLine2": "Apt, suite, unit, building, floor etc.2",
"country": "US",
"state": "CA",
"city": "Redwood City",
"postalCode": "84002",
"email": "abbie2@gmail.com",
"status": "active",
"source": "aws",
"taxExempt": true,
"id": "e3ef9de3-bbdc-495c-b608-a6fa1f62ada0",
"createdAt": "2026-03-02T03:39:31Z",
"updatedAt": "2026-03-02T03:39:31Z",
"createdBy": "f17bb9d8-ff51-423c-b6d3-bc474b755510",
"updatedBy": "f17bb9d8-ff51-423c-b6d3-bc474b755510"
}account
Update an account by id
PUT
/
api
/
accounts
/
{id}
Update an account by id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
account id
Body
application/json
Name for this customer account
Required string length:
1 - 128Example:
"Abbie"
Primary address line
Required string length:
6 - 256Example:
"street or PO Box"
Secondary address line
Example:
"Apt, suite, unit, building, floor etc."
Country code
Example:
"US"
State or province
Example:
"CA"
City name
Example:
"Los Angeles"
Postal or ZIP code
Example:
"84001"
Email address
Required string length:
3 - 128Example:
"abbie@gmail.com"
Available options:
active, in-active, draft Source of the account
Tax exempt used for tax engine integration
Response
OK
Name for this customer account
Required string length:
1 - 128Number for this account. You can specify your own customer identifier. If you don't specify the system will generate one
Required string length:
1 - 128Primary address line
Required string length:
6 - 256Secondary address line
Country code (2-digit)
State, county, province, or region.
City name
Postal or ZIP code
Email address
Required string length:
3 - 128Available options:
active, in-active, draft Source of the account
⌘I
